/*
 * Stolen from Terry's testset and systat/vmstat
 */

#include <sys/cdefs.h>


/*
 * A testvn element: represents one test
 *
 * Components:	test_name
 *		test_func	
 *		kernel vnode counters
 */
struct testvn {
	char	*test_name;
	void	(*test_func)();
	int	desiredvnodes;
	int	numvnodes;
	int	freevnodes;
};


/*
 * These are the symbols expected to be exported by the user test code.
 */
__BEGIN_DECLS
/*
 * Test data
 */
extern struct testvn usr_tests[];

/*
 * Functions
 */
int	usr_setup __P(( int ac, char *av[]));
void	usr_teardown __P((void));

__END_DECLS

#define KREAD(addr, buf, len)  kvm_ckread((addr), (buf), (len))
#define NVAL(indx)  namelist[(indx)].n_value
#define NPTR(indx)  (void *)NVAL((indx))
#define NREAD(indx, buf, len) kvm_ckread(NPTR((indx)), (buf), (len))
#define LONG	(sizeof (long))
